CREATE SEQUENCE USERS_SEQ
    START WITH 0
    MINVALUE 0
    MAXVALUE 9223372036854775807
    NOCYCLE;

CREATE TABLE USERS
(
    ID         INTEGER PRIMARY KEY AUTO_INCREMENT  NOT NULL,
    USERNAME   VARCHAR(32)                         NOT NULL,
    PASSWORD   VARCHAR(64)                         NOT NULL,
    CREATED_BY VARCHAR(32)                         NOT NULL,
    CREATED_AT TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
    UPDATED_BY VARCHAR(32)                         NOT NULL,
    UPDATED_AT TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
    constraint USERS_U unique (USERNAME)
);

